cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
501
Views
0
Helpful
3
Replies
ThomasD86
Beginner

NCS 5500 downgrade with dual RP

Hello,

we're in the process of deploying some NCS5504 nodes however, these are being shipped with IOS XR 7.0.2 installed on, the version we need however is the 6.6.3, so I Downloaded the bootable files and proceeded to do the downgrade.

 

However, being my first time doing this I didn't know that if you downgrade a RP with the standby RP still inserted, the downgrade won't happen because I guess when the RP notices the standby has a higher iOS version it will just reacquire it.


So, I've resorted to downgrade a single RP at the time before inserting them both back in. It works but is quite time consuming. Is there a way to speed up the process?

Would removing RP1, downgrade RP0 then reinsert RP1 work or, once RP0 notices RP1 has a newer ios on it will just re-acquire it?

 

Thanks for the help

1 ACCEPTED SOLUTION

Accepted Solutions

Ah, yeah you need to create the password as cleartext.

 

As for your question, yes that will work. The standby will always sync the packages (active and committed etc) to the standby on bootup.

 

Sam

View solution in original post

3 REPLIES 3
smilstea
Cisco Employee

Are you using XR cli to do the downgrade or USB boot?

 

For USB boot if you leave standby booted then it is chassis master / active RP at that point, and yes a iPXE boot won't work.

I recommend downgrading by CLI as it will downgrade both RPs at the same time.

 

Do be careful though as we changed password types in 7.x and if you downgrade you may not be able to login, you should create a new user with simple secret password to ensure that you can login after downgrade.

 

Sam

Hello Sam, the downgrade is being done through a bootable USB drive.

The reason for doing that is the routers were shipped to us with 7.0.2 but our target release to match other nodes that are currently deployed is 6.2.3. A direct downgrade is impossible from CL as  add the 6.2.3 iso and .rpms to the repository (it fails)  but turns out we need to downgrade to 6.6.3 first 

 

Yes, I've sadly experienced the problem about the passwords first hand but it seems that the iOS won't let me create an username that hasn't got a secret 10 password with the following error:

 

Failed to commit one or more configuration items during a pseudo-atomic operation. All changes made have been reverted. Please issue 'show configuration failed [inheritance]' from this session to view the errors

 

The error seems to be:

SEMANTIC ERRORS: This configuration was rejected by
!! the system due to semantic errors. The individual
!! errors with each failed configuration command can be
!! found below.


username TEST
secret 5 T1E2S3T4 
!!% 'LOCALD' detected the 'fatal' condition 'Password is invalid or incorrect'

 

But that's not really an issue since I am just downgrading them to 6.2.3 as soon as they get there.

I was wondering though, if I just remove the RP1, downgrade the RP0 to 6.2.3 then re-insert the RP1 and issue the "install commit" command on it, will that be enough to cause the image version on the RP0 to be transferred over the RP1?

Ah, yeah you need to create the password as cleartext.

 

As for your question, yes that will work. The standby will always sync the packages (active and committed etc) to the standby on bootup.

 

Sam

View solution in original post